<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
    <h3 class="font-medium my-3 col-6">Listado de archivos de: </h3>
      <div class="my-3 col-6 d-flex justify-content-end">
      <select  [(ngModel)]="usuarioArchivos" (change)="cambiarlista()" 
      class="form-select form-select-sm"
      aria-label=".form-select-sm example"  >
      <option [ngValue]="idUsuario">Cuidador</option>
       <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
              {{ paciente.nombre }} {{ paciente.apellido }}
            </option>
        </select>
        </div>
    </div>
  
    
  
  <div class="row">
  
    <p><a href="/upload/1" class="btn btn-primary">Cargar nuevo archivo</a></p>

      <div class="col-lg-12 col-md-6" >
            <table class="table align-middle text-nowrap" style="background-color: white;">
              <thead>
                  <tr>
                      <th class="text-dark font-medium fs-4">Nombre</th>
                       <th class="text-dark font-medium fs-4">Ver</th>
                      <th class="text-dark font-medium fs-4">Compartir</th>
                      <th class="text-dark font-medium fs-4">Eliminar</th>
                  </tr>
              </thead>
              <tbody>
                <tr   *ngFor="let archivo of listaArchivos">
        
  
    
       
                    <td class="text-dark font-medium fs-4 " ><span style="
                      font-size: 0.9em;
                  ">
                  {{archivo.nombre}}
                  <br>
                  {{archivo.formato}}</span>
                    </td>
    
                  <td class="text-dark font-medium fs-4 ">
                    <a   data-toggle="modal"
                      attr.data-target='{{"#asd" + archivo.id}}'
                      class="btn btn-primary"><i class="bi bi-eye-fill"></i> </a> 
 
                      

                      
                      <div class="modal fade" id="asd{{archivo.id}}" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-dark">
                <h5 class="modal-title" id="staticBackdropLabel" style="color:white"><i class="fas fa-video"></i>
                  {{archivo.nombre}}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="card text-white bg-dark mb-3">
                   <img src="{{archivo.ruta}}">
                </div>
            </div>
            <div class="modal-footer">
                 <button type="button"  data-dismiss="modal" aria-label="Close" class="btn btn-secondary"  >Cerrar</button>

            </div>
        </div>
    </div>
</div>


                    </td>

                  
                    <td> 
                      <label class="content-input">
                        <div *ngIf="archivo.estado==true; then thenBlock else elseBlock"></div>
                        <ng-template #thenBlock> <input type="checkbox" checked (change)="cambiarEstado(archivo.id)" ></ng-template>
                        <ng-template #elseBlock> <input type="checkbox" (change)="cambiarEstado(archivo.id)"></ng-template>
                        <i></i>
                      </label>
                    
                    </td>

                    <td><button class="btn btn-danger btn-sm" (click)="eliminar(archivo.id, archivo.nombre)" ><i class="bi bi-trash-fill"></i> </button></td>

                  </tr>   
              </tbody>
          </table>
  
      </div>
      </div>

